package speiger.src.coreengine.rendering.utils.values;

import org.lwjgl.opengl.GL11;

public enum GLCullType implements IGLValue {
	FRONT(GL11.GL_FRONT),
	BACK(GL11.GL_BACK),
	BOTH(GL11.GL_FRONT_AND_BACK);
	
	int glValue;
	
	private GLCullType(int glValue) {
		this.glValue = glValue;
	}
	
	@Override
	public int glValue() {
		return glValue;
	}
}
